Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
sauce::internal::ImplicitProvider< Dependency, Name > Class Template Reference

A Provider for an explicitly-bound Dependency. More...

`#include <sauce/internal/implicit_provider_binding.h>`

Inheritance diagram for sauce::internal::ImplicitProvider< Dependency, Name >:

## Public Member Functions
Key< Dependency >::Ptr | get ()
| Provide an Iface.

## Friends
class | ImplicitProviderBinding< Dependency, Name >

## Additional Inherited Members
Public Types inherited from sauce::Provider< Dependency >
typedef i::Key< Dependency >::Iface | Provides
| Indicates to template magic that this type exposes sauce::shared_ptr<Provides> get().

## Detailed Description

### template<typename Dependency, typename Name>
class sauce::internal::ImplicitProvider< Dependency, Name >

A Provider for an explicitly-bound Dependency.

The documentation for this class was generated from the following file:

- sauce/internal/implicit_provider_binding.h